<div>
    <h2 id="page-heading">
        <span jhiTranslate="restaurantApplicationApp.invoice.home.title">Invoices</span>
        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-invoice" [routerLink]="['/invoice/new']">
            <fa-icon [icon]="'plus'"></fa-icon>
            <span  jhiTranslate="restaurantApplicationApp.invoice.home.createLabel">
            Create new Invoice
            </span>
        </button>
    </h2>
    <jhi-alert></jhi-alert>
    <br/>
    <div class="table-responsive" *ngIf="invoices">
        <table class="table table-striped">
            <thead>
            <tr jhiSort [(predicate)]="predicate" [(ascending)]="reverse" [callback]="transition.bind(this)">
            <th jhiSortBy="id"><span jhiTranslate="global.field.id">ID</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="code"><span jhiTranslate="restaurantApplicationApp.invoice.code">Code</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="date"><span jhiTranslate="restaurantApplicationApp.invoice.date">Date</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="details"><span jhiTranslate="restaurantApplicationApp.invoice.details">Details</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="status"><span jhiTranslate="restaurantApplicationApp.invoice.status">Status</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="paymentMethod"><span jhiTranslate="restaurantApplicationApp.invoice.paymentMethod">Payment Method</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="paymentDate"><span jhiTranslate="restaurantApplicationApp.invoice.paymentDate">Payment Date</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="paymentAmount"><span jhiTranslate="restaurantApplicationApp.invoice.paymentAmount">Payment Amount</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th></th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let invoice of invoices ;trackBy: trackId">
                <td><a [routerLink]="['/invoice', invoice.id, 'view' ]">{{invoice.id}}</a></td>
                <td>{{invoice.code}}</td>
                <td>{{invoice.date | date:'medium'}}</td>
                <td>{{invoice.details}}</td>
                <td jhiTranslate="{{'restaurantApplicationApp.InvoiceStatus.' + invoice.status}}">{{invoice.status}}</td>
                <td jhiTranslate="{{'restaurantApplicationApp.PaymentMethod.' + invoice.paymentMethod}}">{{invoice.paymentMethod}}</td>
                <td>{{invoice.paymentDate | date:'medium'}}</td>
                <td>{{invoice.paymentAmount}}</td>
                <td class="text-right">
                    <div class="btn-group flex-btn-group-container">
                        <button type="submit"
                                [routerLink]="['/invoice', invoice.id, 'view' ]"
                                class="btn btn-info btn-sm">
                            <fa-icon [icon]="'eye'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/invoice', invoice.id, 'edit']"
                                class="btn btn-primary btn-sm">
                            <fa-icon [icon]="'pencil-alt'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', 'invoice', { outlets: { popup: invoice.id + '/delete'} }]"
                                replaceUrl="true"
                                queryParamsHandling="merge"
                                class="btn btn-danger btn-sm">
                            <fa-icon [icon]="'times'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                        </button>
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
    <div *ngIf="invoices && invoices.length">
        <div class="row justify-content-center">
            <jhi-item-count [page]="page" [total]="totalItems" [maxSize]="5" [itemsPerPage]="itemsPerPage"></jhi-item-count>
        </div>
        <div class="row justify-content-center">
            <ngb-pagination [collectionSize]="totalItems" [(page)]="page" [pageSize]="itemsPerPage" [maxSize]="5" [rotate]="true" [boundaryLinks]="true" (pageChange)="loadPage(page)"></ngb-pagination>
        </div>
    </div>
</div>
